Skip to main content
GET
/
dispositions
/
lead
/
{leadId}
/
export
Export lead disposition outcome history
curl --request GET \
  --url https://api.leadping.ai/dispositions/lead/{leadId}/export
{
  "fileName": "<string>",
  "contentType": "<string>",
  "csv": "<string>",
  "rows": [
    {
      "leadId": "<string>",
      "dispositionId": "<string>",
      "type": "<string>",
      "outcome": "<string>",
      "oldDispositionId": "<string>",
      "oldDispositionType": "<string>",
      "oldDispositionOutcome": "<string>",
      "newDispositionId": "<string>",
      "changedByUserId": "<string>",
      "changedByAutomationId": "<string>",
      "changedAt": "2023-11-07T05:31:56Z",
      "reason": "<string>",
      "followUpStatus": "<string>",
      "callbackAt": "2023-11-07T05:31:56Z",
      "taskDueAt": "2023-11-07T05:31:56Z",
      "appointmentStartAt": "2023-11-07T05:31:56Z",
      "appointmentEndAt": "2023-11-07T05:31:56Z",
      "assignedToUserId": "<string>",
      "sourceId": "<string>",
      "relatedCallEventId": "<string>",
      "isMissedCallFollowUp": true,
      "notes": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Path Parameters

leadId
string
required

The lead identifier.

Response

Returns the disposition export response.

API response containing disposition export data returned to callers.

fileName
string

The file name value for this disposition export.

contentType
string

The content type classification for this disposition export.

csv
string

The csv value for this disposition export.

rows
object[]

The rows included with this disposition export.